<?php

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=blogs&section=users&id=".$user['ID']."'>".LG('Блог')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Новая запись')."";
ECHO "</div>";

IF (POST('ok')){
  
  DB_FILTER();
  
  $err_data = 0;
  
  $name = ADSL(POST('name'));
  $message = ADSL(POST('message'));
  $password = ADSL(POST('password'));
  $id_cat = INTVAL(POST('id_cat'));
  $private_comments = INTVAL(POST('private_comments'));
  
  IF (STR($password) > 0){
    
    $private = 4;
    $password2 = MD5($password);
    
  }ELSE{
    
    $private = INTVAL(POST('private'));
    $password2 = NULL;
  
  }
  
  IF (STR($password) > 12){
    
    ERROR('Пароль не может быть больше 12 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) < 1){
    
    ERROR('Имя не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($name) > 200){
    
    ERROR('Имя не может быть больше 200 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) < 1){
    
    ERROR('Содержимое не может быть меньше 1 символа', 'session');
    $err_data = 1;
    
  }
  
  IF (STR($message) > 10000){
    
    ERROR('Содержимое не может быть больше 10000 символов', 'session');
    $err_data = 1;
    
  }
  
  IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `BLOGS` WHERE `USER_ID` = '".$user['ID']."' AND `MESSAGE` = '".$message."' LIMIT 1") == 1){
    
    ERROR('Запись с таким содержимым уже существует в вашем блоге', 'session');
    $err_data = 1;
    
  }
  
  IF ($err_data == 1){
    
    REDIRECT('/modules/?path=blogs&section=users&id='.$user['ID'].'&get=add');
    
  }
  
  $ID = DB::GET_ADD("INSERT INTO `BLOGS` (`NAME`, `PRIVATE`, `PRIVATE_COMMENTS`, `USER_ID`, `ID_CATEGORY`, `PASSWORD`, `PASSWORD_SHOW`, `MESSAGE`, `TIME`) VALUES ('".$name."', '".$private."', '".$private_comments."', '".$user['ID']."', '".$id_cat."', '".$password2."', '".$password."', '".$message."', '".TIME()."')");
  
  DB::GET_SET("UPDATE `ATTACHMENTS` SET `ID_POST` = '".$ID."', `ACT` = '1' WHERE `USER_ID` = '".$user['ID']."' AND `ACT` = '0' AND `BLOGS` = '1'");
  
  //Начисление баллов
  BALLS_ADD('BLOGS');
  
  //Начисление рейтинга
  RATING_ADD('BLOGS');
  
  /*
  ------------------------------
  Отправляем подписчикам в ленту
  ------------------------------
  */
  
  IF ($private == 0){
    
    $data = DB::GET_STRING_ALL("SELECT * FROM `SUBSCRIBERS` WHERE `USER_ID` = '".$user['ID']."'");
    
    WHILE ($list = $data->FETCH()){
      
      DB::GET_ADD("INSERT INTO `TAPE` (`USER_ID`, `OBJECT_ID`, `OBJECT_ID_LIST`, `TIME`, `TYPE`) VALUES ('".$list['MY_ID']."', '".$ID."', '".$list['USER_ID']."', '".TIME()."', 'blogs')");
    
    } 
  
  }
  
  /*--------------------------*/
  
  SUCCESS('Запись успешно создана', 'session');
  REDIRECT('/modules/?path=blogs&section=users&id='.$user['ID'].'');
  
}

ECHO "<div class='list'>";

ECHO "<form method='post' class='form' action='/modules/?path=blogs&section=users&id=".$user['ID']."&get=add'>";

ECHO "<b>".LG('Введите название')."</b> (".LG('от 1 до 200 символов')."):<br />";
HTML::INPUT('name', 'Имя');

ECHO "<b>".LG('Введите содержание')."</b> (".LG('от 1 до 10000 символов')."):<br />";
HTML::TEXTAREA(NULL, 'message', 'Введите содержание', NULL, 'form-control-100');

ECHO "<br /><b>".LG('Добавить').":</b>";

//Прикрепление файлов
REQUIRE (ROOT.'/modules/blogs/plugins/files.php');

ECHO "<br />";

ECHO "<br /><b>".LG('Категория').":</b><br /><select name='id_cat' class='form-control-select'>";

$data = DB::GET_STRING_ALL("SELECT * FROM `BLOGS_CATEGORIES` ORDER BY `ID` DESC");

ECHO "<option value='0'>Без категории</option>";

WHILE ($list = $data->FETCH()){
  
  ECHO "<option value='".$list['ID']."'>".TEXT_ABSOLUTE($list['NAME'])."</option>";

}

ECHO "</select><br />";

ECHO "<br /><b>".LG('Доступ')."</b>:<br />";
ECHO "<select name='private' class='form-control-select'>";

ECHO "<option value='0'> ".LG('Всем')."</option>";
ECHO "<option value='1'> ".LG('Мне и друзьям')."</option>";
ECHO "<option value='2'> ".LG('Только мне')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Комментирование')."</b>:<br />";
ECHO "<select name='private_comments' class='form-control-select'>";

ECHO "<option value='0'> ".LG('Всем')."</option>";
ECHO "<option value='1'> ".LG('Мне и друзьям')."</option>";
ECHO "<option value='2'> ".LG('Только мне')."</option>";

ECHO "</select><br /><br />";

ECHO "<b>".LG('Пароль')."</b>:<br />";
HTML::INPUT('password', NULL);

HTML::BUTTON('btn-big ajax-button', 'ok', 'plus', 'Создать запись');

ECHO "</form>";

ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=blogs&section=users&id=".$user['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/id".$user['ID']."'>".$user['LOGIN']."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=blogs&section=users&id=".$user['ID']."'>".LG('Блог')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".LG('Новая запись')."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>